petsc-3.6.2 2015-10-02
Report Typos and Errors

# TaoGetOptionsPrefix

Gets the prefix used for searching for all TAO options in the database

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetOptionsPrefix(Tao tao, const char *p[])

Not Collective

### Input Parameters

tao -the Tao context

### Output Parameters

prefix -pointer to the prefix string used is returned

Notes: On the fortran side, the user should pass in a string 'prefix' of sufficient length to hold the prefix.

### See Also

TaoSetOptionsPrefix(), TaoAppendOptionsPrefix()

Level:advanced
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages